Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd
Class TableDropController

    java.lang.Object
      com.allen_sauer.gwt.dnd.client.drop.AbstractDropController
          com.allen_sauer.gwt.dnd.client.drop.AbstractPositioningDropController
              org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd.TableDropController

All Implemented Interfaces:
  com.allen_sauer.gwt.dnd.client.drop.DropController

public class TableDropController
extends com.allen_sauer.gwt.dnd.client.drop.AbstractPositioningDropController

Author:
  Alexander Yuhimenko

Constructor Summary
`TableDropController(com.google.gwt.user.client.ui.FlexTable flexTable)`

Method Summary
`void` | `onDrop(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onEnter(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onLeave(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onMove(com.allen_sauer.gwt.dnd.client.DragContext context)`

Methods inherited from class com.allen_sauer.gwt.dnd.client.drop.AbstractPositioningDropController
`getPositioner`

Methods inherited from class com.allen_sauer.gwt.dnd.client.drop.AbstractDropController
`getCurrentDragController, getDropTarget, getDropTargetEngageStyleName, getDropTargetStyleName, onDrop, onEnter, onLeave, onLeave, onMove, onMove, onPreviewDrop, onPreviewDrop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDropController

    public TableDropController(com.google.gwt.user.client.ui.FlexTable flexTable)

Method Detail

### onDrop

    public void onDrop(com.allen_sauer.gwt.dnd.client.DragContext context)

### onEnter

    public void onEnter(com.allen_sauer.gwt.dnd.client.DragContext context)

### onLeave

    public void onLeave(com.allen_sauer.gwt.dnd.client.DragContext context)

### onMove

    public void onMove(com.allen_sauer.gwt.dnd.client.DragContext context)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD